Summary:     GaduGadu transport for the jabber server
Name:        jabber-gg
Version:     2.0.7
Release:     7.pp
License:     JOSL, GPL
Group:       Environment/Daemons
Source0:     http://www.jabberstudio.org/files/jabber-gg-transport/jabber-gg-transport-%{version}.tar.gz
Source1:     http://dev.null.pl/ekg/libgadu-current.tar.gz
Source2:     jabberd-gg.init
Source3:     gg.xml
Patch0:      jabber-gg-transport-%{version}-security.patch
URL:         http://www.jabberstudio.org/projects/jabber-gg-transport/project/view.php
Buildroot:   /var/tmp/jabber-gg-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    jabber >= 1.4.2 openssl glib >= 1.2.0
Provides:    jabber-gg.pp
Prereq:      /bin/chown /bin/chmod /sbin/chkconfig /bin/bash /bin/echo /bin/mkdir
BuildPrereq: jabber-devel openssl-devel glib-devel >= 1.2.0
BuildPrereq: /bin/mkdir /bin/rm /usr/bin/make /usr/bin/install
BuildPrereq: autoconf253 automake gettext
ExclusiveOS: linux

%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).

This package contains the GaduGadu transport.


%package devel
Group:       Development/Libraries
Summary:     Development tools for the GaduGadu transport
Requires:    jabber-gg = %{version}-%{release} jabber-gg.pp
Provides:    jabber-gg-devel.pp

%description devel
The jabber-gg-devel package contains the header files to
develope software for the GaduGadu transport.


%prep
%setup -q -n jabber-gg-transport-%{version} -a 1
%patch0 -p1


%build
export CFLAGS="$RPM_OPT_FLAGS"
cd libgadu-20*
   export PKG_CONFIG_PATH=`pwd`/lib
   aclocal -I m4
   autoheader-2.53
   autoconf-2.53
   ./configure --prefix=`pwd`
   make all 
   ln -s lib include
cd ..
./configure \
	--prefix=/usr                     \
	--sysconfdir=/etc/jabber          \
	--localstatedir=/var/spool/jabber \
	--mandir=/usr/share/man           \
	--enable-shared                   \
	--enable-static                   \
	--with-libgadu-snapshot
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/jabber
mkdir -p $RPM_BUILD_ROOT/usr/jabber/gg-transport/include
mkdir -p $RPM_BUILD_ROOT/usr/jabber/jabberd
install -m 0755 src/jggtrans $RPM_BUILD_ROOT/usr/jabber/gg-transport
install -m 0644 libgadu-20*/lib/*.h $RPM_BUILD_ROOT/usr/jabber/gg-transport/include
install -m 0644 src/*.h $RPM_BUILD_ROOT/usr/jabber/gg-transport/include
install -m 0640 $RPM_SOURCE_DIR/gg.xml $RPM_BUILD_ROOT/etc/jabber/gg.xml.default
touch $RPM_BUILD_ROOT/etc/jabber/gg.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/gg.xml
install -m 0640 $RPM_SOURCE_DIR/gg.xml $RPM_BUILD_ROOT/etc/jabber/gg.xml.default
touch $RPM_BUILD_ROOT/etc/jabber/gg.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/gg.xml
install -m 0755 $RPM_SOURCE_DIR/jabberd-gg.init $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-gg
ln -s ../gg-transport/jggtrans $RPM_BUILD_ROOT/usr/jabber/jabberd/jabberd-gg
make DESTDIR=$RPM_BUILD_ROOT -C po install


%pre
if [ ! -e /etc/jabber ] ; then
  /bin/mkdir /etc/jabber
fi
/bin/chmod 0750 /etc/jabber
/bin/chown root:jabber /etc/jabber


%post
/bin/chown root:jabber /etc/jabber/gg.xml*
/sbin/chkconfig --add jabberd-gg
/sbin/chkconfig jabberd-gg on
if [ -s /etc/jabber/gg.xml ]; then
   if [ -f /var/lock/subsys/jabberd-gg ]; then
      /etc/rc.d/init.d/jabberd-gg restart
   else
      /etc/rc.d/init.d/jabberd-gg start
   fi
else
   echo "GaduGadu transport installed. Please consult the README for configuration details."
   echo "Don't forget to create a directory named <gg-hostname> in /var/spool/jabber!"
fi


%preun
if [ $1 = 0 ] ; then
   /sbin/chkconfig jabberd-gg off
   /sbin/chkconfig --del jabberd-gg
   if [ -f /var/lock/subsys/jabberd-gg ]; then
      /etc/rc.d/init.d/jabberd-gg stop
   fi
fi


%postun
if [ $1 = 0 ] ; then
  echo "GaduGadu transport deinstalled. Please remove all references from your jabber config!"
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS BUGS ChangeLog COPYING INSTALL* NEWS README* TODO
/etc/rc.d/init.d/jabberd-gg
%config /etc/jabber/gg.xml
/etc/jabber/gg.xml.default
%dir /usr/jabber/gg-transport
/usr/jabber/gg-transport/jggtrans
/usr/jabber/jabberd/jabberd-gg
/usr/share/locale/*

%files devel
%defattr(-,root,root)
%dir /usr/jabber/gg-transport/include
/usr/jabber/gg-transport/include/*.h


%changelog
* Thu Nov 06 2003 peter.pramberger@1012surf.net
- created

